%global dmrver 1.0.0
%global dmver 1.02.54

%global realname pyblock

Summary: Python modules for dealing with block devices
Name: python-%{realname}
Version: 0.53
Release: %mkrel 9
License: GPLv2 or GPLv3
Group: Development/Python
URL: http://fedoraproject.org/wiki/Anaconda
# We are upstream, to generate Source0 do:
# git clone http://git.fedorahosted.org/git/pyblock.git
# git checkout -b archive-branch pyblock-%{version}-%{release}
# make archive-no-tag
Source0: %{realname}-%{version}.tar.bz2
Patch0: Fix-GCC-5-logical-not-parentheses-warnings.patch
BuildRequires: device-mapper-devel >= %{dmver}
BuildRequires: %{mklibname dmraid -d} >= %{dmrver}
BuildRequires: %{mklibname dmraid 1} >= %{dmrver}
BuildRequires: gettext
BuildRequires: python-parted
BuildRequires: python-devel
BuildRequires: selinux-devel
BuildRequires: sepol-devel

%description
The pyblock contains Python modules for dealing with block devices.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0

%build
%make OPTFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} SITELIB=%{python2_sitearch} install

%files
%doc %{_docdir}/pyblock-%{version}
%{python2_sitearch}/block



%changelog
* Tue Feb 16 2016 umeabot <umeabot> 0.53-9.mga6
+ Revision: 962404
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 philippem <philippem> 0.53-8.mga6
+ Revision: 893926
- use make macro
- Fix GCC 5 logical not parentheses warning

* Wed Oct 15 2014 umeabot <umeabot> 0.53-7.mga5
+ Revision: 745129
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.53-6.mga5
+ Revision: 729390
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.53-5.mga5
+ Revision: 688236
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.53-3.mga4
+ Revision: 517783
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.53-2.mga3
+ Revision: 379292
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 14 2012 oden <oden> 0.53-1.mga3
+ Revision: 293827
- stupid deps
- imported package python-pyblock


* Fri Sep 14 2012 Oden Eriksson <oeriksson@mandriva.com> 0.53-1
- initial Mageia package
